Binding of Isaac - Afterbirth+ Lua Reference/Guide

Public Member Functions | Static Public Member Functions | List of all members
Seeds Class Reference

## Public Member Functions
| SetStartSeed (string StartSeed)
| Empty string means we will pick a new random seed. More...
| ClearStartSeed ()
boolean | IsCustomRun ()
| Restart (Challenge CurrentChallenge)
| Re-selects a random start seed but only if the start seed was not custom. More...
| Reset ()
boolean | IsInitialized ()
integer | GetStartSeed ()
string | GetStartSeedString ()
integer | GetNextSeed ()
integer | GetStageSeed (LevelStage Stage)
integer | GetPlayerInitSeed ()
| ForgetStageSeed (LevelStage Stage)
boolean | HasSeedEffect (SeedEffect Value)
| AddSeedEffect (SeedEffect Value)
| RemoveSeedEffect (SeedEffect Value)
| RemoveBlockingSeedEffects (SeedEffect Value)
| Removes seeds that are banned in conjunction with the given seed. More...
| ClearSeedEffects ()
boolean | CanAddSeedEffect (SeedEffect Value)
integer | CountSeedEffects ()
boolean | IsSeedComboBanned (SeedEffect Seed1, SeedEffect Seed2)

## Static Public Member Functions
static integer | String2Seed (string str)
static string | Seed2String (integer seed)
static boolean | IsStringValidSeed (string str)
static SeedEffect | GetSeedEffect (string str)
static boolean | IsSpecialSeed (string str)
static | InitSeedInfo ()
static integer | CountUnlockedSeedEffects ()

## Member Function Documentation

## ◆ AddSeedEffect()

Seeds::AddSeedEffect | ( | SeedEffect | Value | ) |

## ◆ CanAddSeedEffect()

boolean Seeds::CanAddSeedEffect | ( | SeedEffect | Value | ) |

## ◆ ClearSeedEffects()

Seeds::ClearSeedEffects | ( |  | ) |

## ◆ ClearStartSeed()

Seeds::ClearStartSeed | ( |  | ) |

## ◆ CountSeedEffects()

integer Seeds::CountSeedEffects | ( |  | ) |

## ◆ CountUnlockedSeedEffects()

static integer Seeds::CountUnlockedSeedEffects | ( |  | ) |
| static

## ◆ ForgetStageSeed()

Seeds::ForgetStageSeed | ( | LevelStage | Stage | ) |

## ◆ GetNextSeed()

integer Seeds::GetNextSeed | ( |  | ) |

## ◆ GetPlayerInitSeed()

integer Seeds::GetPlayerInitSeed | ( |  | ) |

## ◆ GetSeedEffect()

static SeedEffect Seeds::GetSeedEffect | ( | string | str | ) |
| static

## ◆ GetStageSeed()

integer Seeds::GetStageSeed | ( | LevelStage | Stage | ) |

## ◆ GetStartSeed()

integer Seeds::GetStartSeed | ( |  | ) |

## ◆ GetStartSeedString()

string Seeds::GetStartSeedString | ( |  | ) |

## ◆ HasSeedEffect()

boolean Seeds::HasSeedEffect | ( | SeedEffect | Value | ) |

## ◆ InitSeedInfo()

static Seeds::InitSeedInfo | ( |  | ) |
| static

## ◆ IsCustomRun()

boolean Seeds::IsCustomRun | ( |  | ) |

## ◆ IsInitialized()

boolean Seeds::IsInitialized | ( |  | ) |

## ◆ IsSeedComboBanned()

boolean Seeds::IsSeedComboBanned | ( | SeedEffect | Seed1,
|  | SeedEffect | Seed2
| ) |  |

## ◆ IsSpecialSeed()

static boolean Seeds::IsSpecialSeed | ( | string | str | ) |
| static

## ◆ IsStringValidSeed()

static boolean Seeds::IsStringValidSeed | ( | string | str | ) |
| static

## ◆ RemoveBlockingSeedEffects()

Seeds::RemoveBlockingSeedEffects | ( | SeedEffect | Value | ) |

Removes seeds that are banned in conjunction with the given seed.

## ◆ RemoveSeedEffect()

Seeds::RemoveSeedEffect | ( | SeedEffect | Value | ) |

## ◆ Reset()

Seeds::Reset | ( |  | ) |

## ◆ Restart()

Seeds::Restart | ( | Challenge | CurrentChallenge | ) |

Re-selects a random start seed but only if the start seed was not custom.

## ◆ Seed2String()

static string Seeds::Seed2String | ( | integer | seed | ) |
| static

## ◆ SetStartSeed()

Seeds::SetStartSeed | ( | string | StartSeed | ) |

Empty string means we will pick a new random seed.

## ◆ String2Seed()

static integer Seeds::String2Seed | ( | string | str | ) |
| static

void RestoreGameState(const GameState& State); void SaveGameState(GameState& State);